MysqlndUhConnection::getWarningCount
MysqlndUhConnection::killConnection
MysqlndUhConnection
PHP Manual

# MysqlndUhConnection::init

Initialize mysqlnd connection

### Description

public bool MysqlndUhConnection::init ( mysqlnd_connection `$connection` )

Initialize mysqlnd connection. This is an mysqlnd internal call to initialize the connection object.

> Note:

> Failing to call the parent implementation may cause memory leaks or crash PHP. This is not considered a bug. Please, keep in mind that the mysqlnd library functions have never been designed to be exposed to the user space.

### Parameters

`connection`

  Mysqlnd connection handle. Do not modify!

### Return Values

Returns `TRUE` on success. Otherwise, returns `FALSE`

### Examples

Example #1 MysqlndUhConnection::init example

`<?php
class proxy extends MysqlndUhConnection {
public function init($res) {
printf("%s(%s)\n", __METHOD__, var_export(func_get_args(), true));
$ret = parent::init($res);
printf("%s returns %s\n", __METHOD__, var_export($ret, true));
return $ret;
}
}
mysqlnd_uh_set_connection_proxy(new proxy());
$mysqli = new mysqli("localhost", "root", "", "test");
?>`

The above example will output:

    proxy::init(array (
      0 => NULL,
    ))
    proxy::init returns true

### See Also

- mysqlnd_uh_set_connection_proxy